{ ... }:
{
  programs.yt-dlp = {
    enable = true;
    settings = {
      add-metadata = true;
      embed-thumbnail = true;
      convert-thumbnails = "jpg";
      audio-format = "opus";
      output = ''"%(artist)s - %(title)s.%(ext)s"'';
    };
  };

  home.shellAliases = {
    ytm3u = "yt-dlp -gS proto:m3u8";
    opusdl = ''yt-dlp -f ba -x --audio-quality 0'';
    spotdl = "spotdl --m3u --format opus";
  };
}
